package cn.iocoder.yudao.module.order.convert.orderCargoControlPick;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderCargoControlPick.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderCargoControlPick.OrderCargoControlPickDO;

/**
 * 订单控货人放货记录 Convert
 * @author 郑屹
 */
@Mapper
public interface OrderCargoControlPickConvert {
    /*****转换MapStruct*****/
    OrderCargoControlPickConvert INSTANCE = Mappers.getMapper(OrderCargoControlPickConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderCargoControlPickDO convert(OrderCargoControlPickCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderCargoControlPickDO convert(OrderCargoControlPickUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderCargoControlPickBackVO convert(OrderCargoControlPickDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderCargoControlPickBackVO> convertList(List<OrderCargoControlPickDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderCargoControlPickBackVO> convertPage(PageResult<OrderCargoControlPickDO> page);
}
