package cn.iocoder.yudao.module.order.vo.order;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("管理后台 - 退货单统计excel")
public class OrderReturnOrderExcelVo {
    @ExcelProperty("入仓时间")
    private Date warehouseDate;
    @ExcelProperty("订单号")
    private String orderNO;
    @ExcelProperty("退仓日期")
    private Date finishTime;
    @ExcelProperty("退仓原因")
    private String reason;
    @ExcelProperty("方数")
    private String volume;
    @ExcelProperty("发货人号码")
    private String consignorPhone;
    @ExcelProperty("收货人号码")
    private String consigneePhone;
}
