package cn.iocoder.yudao.module.order.vo.orderLabel;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
* 订单箱号标签  dto
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SaveOrUpdateOrderLabelDto {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单标签集合")
    private List<OrderLabelDto> orderLabelDtoList;


    //是否纪录日志
    private boolean isAddLog = true;


}
