package cn.iocoder.yudao.module.order.vo.orderLabel;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
* 订单箱号标签  dto
*/
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class OrderLabelDto {

    @ApiModelProperty(value = "标签id（修改箱号时使用，新增时不填）")
    private Long id;

    @ApiModelProperty(value = "开始")
    private Integer start;

    @ApiModelProperty(value = "结束")
    private Integer end;

}
